GCLOUD_COMPUTE_BACKEND-SERVICES_GET-HEALTH(1)

NAME

gcloud compute backend-services get-health - get backend health statuses from a backend service

SYNOPSIS

gcloud compute backend-services get-health NAME [--global | --region=REGION] [--filter=EXPRESSION] [--limit=LIMIT] [--page-size=PAGE_SIZE] [--sort-by=[FIELD,...]] [--uri] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute backend-services get-health is used to request the current health status of instances in a backend service. Every group in the service is checked and the health status of each configured instance is printed. If a group contains names of instances that don't exist or instances that haven't yet been pushed to the load-balancing system, they will not show up. Those that are listed as HEALTHY are able to receive load-balanced traffic. Those that are marked as UNHEALTHY are either failing the configured health-check or not responding to it. Since the health checks are performed continuously and in a distributed manner, the state returned by this command is the most recent result of a vote of several redundant health checks. Backend services that do not have a valid global forwarding rule referencing it will not be health checked and so will have no health status.

POSITIONAL ARGUMENTS

    NAME
        The name of the backend service.

FLAGS
At most one of these may be specified:

    --global
        If provided, it is assumed the backend service is global.

    --region=REGION
        The region of the backend service to operate on. Overrides the default compute/region property value for this command invocation.

LIST COMMAND FLAGS

    --filter=EXPRESSION
        Apply a Boolean filter EXPRESSION to each resource item to be listed. If the expression evaluates True then that item is listed. For more details and examples of filter expressions run $ gcloud topic filters. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --limit=LIMIT
        The maximum number of resources to list. The default is unlimited. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --page-size=PAGE_SIZE
        Some services group resource list output into pages. This flag specifies the maximum number of resources per page. The default is determined by the service if it supports paging, otherwise it is unlimited (no paging). Paging may be applied before or after --filter and --limit depending on the service.

    --sort-by=[FIELD,...]
        A comma-separated list of resource field key names to sort by. The default order is ascending. Prefix a field with ``~'' for descending order on that field. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --uri
        Print a list of resource URIs instead of the default output.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.